=== debian/changelog ===
python-nudatus (0.0.4-1) unstable; urgency=medium

  * Initial release (Closes: #907699)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sun, 30 Dec 2018 18:58:36 +0100
