=== debian/control ===
Source: python-nudatus
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nick Morrott <knowledgejunkie@gmail.com>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 pandoc,
 python3-all,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.3.0
Homepage: https://github.com/ZanderBrown/nudatus
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-nudatus
Vcs-Git: https://salsa.debian.org/python-team/modules/python-nudatus.git

Package: python3-nudatus
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: module to remove comments from Python 3 scripts
 Nudatus was created to help fit longer, heavily-documented Python programs
 onto the micro:bit single-board computer (SBC). It should be suitable for
 similar platforms with restricted storage capacity.
 .
 Although the library is designed to be embedded, this package also provides
 the `nudatus` CLI utility.
 .
 Nudatus uses the tokenizer built into Python, so only supports the syntax of
 the version of Python it's running on.
 .
 This package installs the library and CLI utility for Python 3.
