=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/" \
    https://github.com/ZanderBrown/nudatus/tags .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
