=== debian/changelog ===
python-nudatus (0.0.5-4) unstable; urgency=medium

  * d/patches
    - explicitly-raise-tokenerror: Fix patch metadata

 -- Nick Morrott <nickm@debian.org>  Fri, 23 Feb 2024 03:07:26 +0000

python-nudatus (0.0.5-3) unstable; urgency=medium

  * d/clean:
    - Remove generated manpage files
  * d/control:
    - Declare compliance with Debian Policy 4.6.2
  * d/copyright:
    - Update years of Debian copyright
  * d/lintian-overrides:
    - Refresh overrides for updated format string
  * d/patches:
    - Add patch explicitly-raise-tokenerror (Closes: #1058114)
    - Add patch assert-after-context-manager-exits (Closes: #1056488)
  * d/s/lintian-overrides:
    - Add override for long lines in test source
    - Add override for excluded SCM/CI files
  * d/watch:
    - Reformat lines

 -- Nick Morrott <nickm@debian.org>  Wed, 21 Feb 2024 11:19:25 +0000

python-nudatus (0.0.5-2) unstable; urgency=medium

  * d/control:
    - Update standards version to 4.6.0, no changes needed.
  * d/copyright:
    - Refresh years of Debian copyright
    - Use 4-digit years for Debian copyright ranges
  * d/t/control:
    - Add python3-all to test dependencies
  * d/watch:
    - Update pattern for GitHub archive URLs

 -- Nick Morrott <nickm@debian.org>  Sat, 05 Feb 2022 14:02:55 +0000

python-nudatus (0.0.5-1) unstable; urgency=medium

  * New upstream version 0.0.5
  * d/copyright:
    - Refresh years of upstream copyright

 -- Nick Morrott <nickm@debian.org>  Sun, 07 Feb 2021 02:18:34 +0000

python-nudatus (0.0.4-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control:
    - Update Maintainer field with new Debian Python Team contact address.
    - Update Vcs-* fields with new Debian Python Team Salsa layout.

  [ Debian Janitor ]
  * d/u/metadata:
    - Remove obsolete fields Contact, Name (already present in
      machine-readable debian/copyright).

  [ Nick Morrott ]
  * d/control:
    - Declare compliance with Debian Policy 4.5.1
  * d/copyright:
    - Refresh years of Debian copyright

 -- Nick Morrott <nickm@debian.org>  Tue, 05 Jan 2021 02:18:41 +0000

python-nudatus (0.0.4-3) unstable; urgency=medium

  * d/manpages:
    - Update author email address
    - Improve formatting of custom manpage

 -- Nick Morrott <nickm@debian.org>  Fri, 31 Jul 2020 20:45:53 +0100

python-nudatus (0.0.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Nick Morrott ]
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat level to 13
    - Add Rules-Requires-Root field, set to no
    - Update Uploaders to use my Debian email address
  * d/copyright:
    - Refresh years of Debian copyright
  * d/gbp.conf:
    - Use pristine-tar
  * d/tests:
    - Run autopkgtests against supported Python versions

 -- Nick Morrott <nickm@debian.org>  Thu, 18 Jun 2020 04:31:43 +0100
