=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-nudatus
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Nick Morrott <knowledgejunkie@gmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Nick Morrott <nickm@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  pandoc,
  python3-all,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ZanderBrown/nudatus
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-nudatus
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-nudatus.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-nudatus
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-nudatus.git
+Rules-Requires-Root: no
 
 Package: python3-nudatus
 Architecture: all
