=== debian/tests/control ===
Tests: python3-nudatus
Depends: @builddeps@, @, python3-all
